Name:           regexp
Version:        1.5
Release:        29
Summary:        Simple regular expressions API
License:        Apache-2.0
URL:            http://jakarta.apache.org/%{name}/
BuildArch:      noarch
Source0:        http://archive.apache.org/dist/jakarta/%{name}/jakarta-%{name}-%{version}.tar.gz
Source1:        jakarta-%{name}-osgi-manifest.MF
Patch0:         jakarta-%{name}-attach-osgi-manifest.patch
BuildRequires:  ant javapackages-local
Requires:       java-headless
Obsoletes:      regexp-javadoc
Provides:       regexp-javadoc = %{version}-%{release}

%description
Regexp is a 100% Pure Java Regular Expression package that was graciously 
donated to the Apache Software Foundation by Jonathan Locke.

%prep
%setup -q -n jakarta-%{name}-%{version}
%patch0
cp -p %{SOURCE1} MANIFEST.MF
find . -name "*.jar" -exec rm -f {} \;

cat > pom.xml << EOF
<project>
  <modelVersion>4.0.0</modelVersion>
  <groupId>jakarta-%{name}</groupId>
  <artifactId>jakarta-%{name}</artifactId>
  <version>%{version}</version>
</project>
EOF

%mvn_file : %{name}
%mvn_alias jakarta-%{name}:jakarta-%{name} %{name}:%{name}

%build
mkdir lib
%ant -Djakarta-site2.dir=. jar javadocs
%mvn_artifact pom.xml build/*.jar

%install
%mvn_install -J docs/api
sed -i 's/[0-9a-f]\{8\}-[0-9a-f]\{4\}-[0-9a-f]\{4\}-[0-9a-f]\{4\}-[0-9a-f]\{12\}/f2f42549-cfab-4d71-be48-5e9f9a41e5f5/g' $(find %{_buildrootdir} -name regexp.xml)

%check
%ant -Djakarta-site2.dir=. test

%files
%attr(0644,root,root) %{_datadir}/maven-metadata/regexp.xml
%attr(0644,root,root) %{_datadir}/maven-poms/regexp.pom
%attr(0644,root,root) %{_datadir}/java/regexp.jar
%doc LICENSE
%{_javadocdir}/%{name}

%changelog
* Thu Aug 4 2022 wenzhiwei <wenzhiwei@kylinos.cn> - 1.5-29
- fix license error

* Sat Dec 7 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.5-28
- Package init
